<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_161) on Mon Oct 01 15:14:30 CEST 2018 -->
<title>TextInput</title>
<meta name="date" content="2018-10-01">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TextInput";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TextInput.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../ch/sebi/zuul/logic/ui/input/IntInput.html" title="class in ch.sebi.zuul.logic.ui.input"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?ch/sebi/zuul/logic/ui/input/TextInput.html" target="_top">Frames</a></li>
<li><a href="TextInput.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">ch.sebi.zuul.logic.ui.input</div>
<h2 title="Class TextInput" class="title">Class TextInput</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../ch/sebi/zuul/logic/ui/input/Input.html" title="class in ch.sebi.zuul.logic.ui.input">ch.sebi.zuul.logic.ui.input.Input</a>&lt;java.lang.String&gt;</li>
<li>
<ul class="inheritance">
<li>ch.sebi.zuul.logic.ui.input.TextInput</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../../ch/sebi/zuul/logic/ui/UiObj.html" title="interface in ch.sebi.zuul.logic.ui">UiObj</a>&lt;java.lang.String&gt;</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">TextInput</span>
extends <a href="../../../../../../ch/sebi/zuul/logic/ui/input/Input.html" title="class in ch.sebi.zuul.logic.ui.input">Input</a>&lt;java.lang.String&gt;</pre>
<div class="block">An input which takes text</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Sebastian Zumbrunn</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/ui/input/TextInput.html#TextInput--">TextInput</a></span>()</code>
<div class="block">constructor<br/>
 Sets the prompt to "text"</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/ui/input/TextInput.html#TextInput-java.lang.String-">TextInput</a></span>(java.lang.String&nbsp;prompt)</code>
<div class="block">constructor<br/></div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/ui/input/TextInput.html#convertInput-java.lang.String-">convertInput</a></span>(java.lang.String&nbsp;input)</code>
<div class="block">Converts the entered text into the type of this input</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.ch.sebi.zuul.logic.ui.input.Input">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;ch.sebi.zuul.logic.ui.input.<a href="../../../../../../ch/sebi/zuul/logic/ui/input/Input.html" title="class in ch.sebi.zuul.logic.ui.input">Input</a></h3>
<code><a href="../../../../../../ch/sebi/zuul/logic/ui/input/Input.html#clear--">clear</a>, <a href="../../../../../../ch/sebi/zuul/logic/ui/input/Input.html#getPrompt--">getPrompt</a>, <a href="../../../../../../ch/sebi/zuul/logic/ui/input/Input.html#getResult--">getResult</a>, <a href="../../../../../../ch/sebi/zuul/logic/ui/input/Input.html#printAndWait-ch.sebi.zuul.logic.Game-">printAndWait</a>, <a href="../../../../../../ch/sebi/zuul/logic/ui/input/Input.html#setPrompt-java.lang.String-">setPrompt</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="TextInput--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TextInput</h4>
<pre>public&nbsp;TextInput()</pre>
<div class="block">constructor<br/>
 Sets the prompt to "text"</div>
</li>
</ul>
<a name="TextInput-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TextInput</h4>
<pre>public&nbsp;TextInput(java.lang.String&nbsp;prompt)</pre>
<div class="block">constructor<br/></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>prompt</code> - the prompt text which is shown in the input</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="convertInput-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>convertInput</h4>
<pre>protected&nbsp;java.lang.String&nbsp;convertInput(java.lang.String&nbsp;input)
                                 throws <a href="../../../../../../ch/sebi/zuul/exceptions/InputConvertException.html" title="class in ch.sebi.zuul.exceptions">InputConvertException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../../../ch/sebi/zuul/logic/ui/input/Input.html#convertInput-java.lang.String-">Input</a></code></span></div>
<div class="block">Converts the entered text into the type of this input</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../ch/sebi/zuul/logic/ui/input/Input.html#convertInput-java.lang.String-">convertInput</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../ch/sebi/zuul/logic/ui/input/Input.html" title="class in ch.sebi.zuul.logic.ui.input">Input</a>&lt;java.lang.String&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>input</code> - the input from the user</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the converted input</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../ch/sebi/zuul/exceptions/InputConvertException.html" title="class in ch.sebi.zuul.exceptions">InputConvertException</a></code> - if an exception/error occurs while converting. Depending on the settings of <a href="../../../../../../ch/sebi/zuul/exceptions/InputConvertException.html" title="class in ch.sebi.zuul.exceptions"><code>InputConvertException</code></a>
  is the error shown to the user</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TextInput.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../ch/sebi/zuul/logic/ui/input/IntInput.html" title="class in ch.sebi.zuul.logic.ui.input"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?ch/sebi/zuul/logic/ui/input/TextInput.html" target="_top">Frames</a></li>
<li><a href="TextInput.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
